---
aliases: "SSG"
title: Static Site Generators
date_created: Sunday, August 28th 2022, 10:30:37 pm
date_modified: Sunday, August 28th 2022, 10:33:14 pm
---

Static Site Generators (SSGs) are [[Software Applications|software applications]] for building websites. Popular for blogs and other static content that doesn't change so frequently, though of course you can add [[JavaScript]] for interactivity. 

## Popular Static Site Generators

- [[Eleventy]]
- [[Jekyll]]
- [[Zola]]

## Password protection for static sites

One challenge with static sites is password protection. Netlify offers login services. Another option is [robinmoisson/staticrypt](https://github.com/robinmoisson/staticrypt), which uses [[JavaScript|JS]]-based cryptography to encrypt the contents of the site.