---
title: Caddy
date_created: Friday, August 26th 2022, 7:15:33 pm
date_modified: Sunday, August 28th 2022, 10:10:19 am
---

Caddy 2 is a powerful, enterprise-ready, open source web server with automatic HTTPS written in [[Golang]].

- Caddy simplifies your infrastructure. It takes care of TLS certificate renewals, OCSP stapling, static file serving, reverse proxying, Kubernetes ingress, and more.
- Caddy runs great in containers because it has no dependencies—not even libc. Run Caddy practically anywhere.
- Caddy is the only web server to use HTTPS automatically and by default.
- Caddy is both a flexible, efficient static file server and a powerful, scalable reverse proxy.

It is compiled for [[Linux]], [[macOS]], [[Microsoft Windows|Windows]], and FreeBSD.