---
title: Golang
date_created: Sunday, August 28th 2022, 10:18:33 am
date_modified: Sunday, August 28th 2022, 10:18:34 am
---


> Go is a statically typed, compiled [[Software Development]] language designed at Google by Robert Griesemer, Rob Pike, and Ken Thompson. It is syntactically similar to C, but with memory safety, garbage collection, structural typing, and CSP-style concurrency. It is often referred to as **golang** because of its former domain name, golang.org, but its proper name is Go. <br><br>
> There are two major implementations:
> <br><br>
> Google's self-hosting "gc" compiler toolchain, targeting multiple operating systems and WebAssembly.
><br><br>
> gofrontend, a frontend to other compilers, with the libgo library. With GCC the combination is gccgo; with LLVM the combination is gollvm. A third-party source-to-source compiler, GopherJS, compiles Go to JavaScript for front-end web development.
>
> [Wikipedia](https://en.wikipedia.org/wiki/Go%20(programming%20language))

